Name:           python-pypuclib
Version:        1.0.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        The python package for PUCLIB to control INFINICAM

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://www.photron.co.jp/
Source:         %{pypi_source pypuclib}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pypuclib' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pypuclib
Summary:        %{summary}

%description -n python3-pypuclib %_description


%prep
%autosetup -p1 -n pypuclib-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pypuclib -f %{pyproject_files}


%changelog
%autochangelog